#!/usr/bin/perl -w

#######################################################
#
# Family Tree generation program, v2.0
# Written by Ferenc Bodon and Simon Ward, March 2000 (simonward.com)
# Copyright (C) 2000 Ferenc Bodon, Simon K Ward
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# For a copy of the GNU General Public License, visit 
# http://www.gnu.org or write to the Free Software Foundation, Inc.,
# 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#
#######################################################

use lib ('cgi', 'cgi/lib');
use Exporters::ExcelExporter;
use FamilyTreeDataFactory;

my $input_file_name = $ARGV[0];
my $output_file_name = $ARGV[1];

if(! defined $output_file_name) {
  $output_file_name = $input_file_name;
  $output_file_name =~ s/\.csv$/\.xls/g; 
  $output_file_name =~ s/\.txt$/\.xls/g;
}
die "The extension must be csv or txt" if($input_file_name eq $output_file_name); 
my $family_tree = FamilyTreeDataFactory::createFamilyTreeDataFromFile( $input_file_name, "");
ExcelExporter::export($output_file_name, $family_tree);

